Bug 257914 - suggestion for 'What's this?" text
Summary: suggestion for 'What's this?" text
Status: RESOLVED FIXED
Alias: None
Product: konsole
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Unlisted Binaries Linux
: NOR minor (vote)
Target Milestone: ---
Assignee: Konsole Developer
URL:
Keywords: junior-jobs
Depends on:
Blocks:
 
Reported: 2010-11-25 21:37 UTC by Marcel Martin
Modified: 2012-05-15 08:45 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.9.0


Attachments
Add the WhatsThis text (1.24 KB, patch)
2011-08-06 10:26 UTC, Gildardo Adrian Maravilla Jacome
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel Martin 2010-11-25 21:37:56 UTC
Version:           unspecified
OS:                Linux

This is from an email that was sent to quality-whatsthis@kde.org. See also bug
#237488.

current -->  (Konsole::TerminalDisplay)
 (Konsole::TerminalDisplay)
 (QStackedWidget)
 (QWidget)
 (Konsole::ViewSplitter)
 (QWidget)
toplevel --> MainWindow#1 (Konsole::MainWindow)

Please type in your what's this help between these lines: 
--%-----------------------------------------------------------------------
This is where Konsole emulates the X Terminal Command Line Interface. It is a 
text-only area where the user enters commands.
--%-----------------------------------------------------------------------

current -->  (Konsole::ViewContainerTabBar)
 (Konsole::ViewContainerTabBar)
 (QWidget)
 (Konsole::ViewSplitter)
 (QWidget)
toplevel --> MainWindow#1 (Konsole::MainWindow)

Please type in your what's this help between these lines: 
--%-----------------------------------------------------------------------
This is a Konsole Tab. The user can open as many tabs as he/she needs. Each 
tab is a separate Command Line Interface.
--%-----------------------------------------------------------------------


Reproducible: Didn't try
Comment 1 Hans-Rudi Denzler 2010-11-26 10:48:56 UTC
Type 'help'
Type 'info bash'
Comment 2 Kurt Hindenburg 2011-04-04 01:56:54 UTC
Junior-jobs - put together a list of what all the "what's this" text should be.
Comment 3 Gildardo Adrian Maravilla Jacome 2011-08-06 10:26:25 UTC
Created attachment 62615 [details]
Add the WhatsThis text

Hi, I send a patch for this
Comment 4 Jekyll Wu 2012-05-14 19:49:56 UTC
Git commit eec927bd887f1939dbc544df7d795a9cf282634d by Jekyll Wu.
Committed on 14/05/2012 at 21:38.
Pushed by jekyllwu into branch 'master'.

Add "What's this" for the tabbar and new/close buttons

There could be more, but I thik they are the most important ones.
FIXED-IN: 4.9.0

M  +8    -1    src/ViewContainer.cpp

http://commits.kde.org/konsole/eec927bd887f1939dbc544df7d795a9cf282634d
Comment 5 Marcel Martin 2012-05-14 20:45:37 UTC
Great, thanks for taking care of this!